APROPOS(1)

NOMBRE
apropos - busca nombres y descripciones de páginas de manual

SINOPSIS
apropos [-dalv?V] [-e|-w|-r] [-s listado] [-m sistema[,...]] [-M ruta] [-L local] [-C archivo] palabraclave ...

DESCRIPCIÓN
Cada página de manual contiene una breve descripción. apropos busca las descripciones de las instancias de palabraclave.

Una palabraclave normalmente es una expresión regular, como si (-r) fuera empleada, o quizá contenga comodines (-w), o coincida con la palabra clave exacta (-e). Utilizando estas opciones, quizá sea necesario entrecomillar la palabraclave o escapar (\) los caracteres especiales para impedir que la shell los interprete.

Las reglas de coincidencia habituales permiten buscar coincidencias con el nombre de página y con los límites de palabra en la descripción.

La BD buscada por apropos es actualizadada por el programa mandb. Dependiendo de su instalación, esto puede ejecutarlo una tarea de cron periódica, o puede necesitar ser ejecutado manualmente tras instalarse páginas de manual nuevas.

OPCIONES

-d, --debug
    Escribe información de depuración.

-v, --verbose
    Escribe mensajes detallados de advertencia.

-r, --regex
    Interpreta cada palabra clave como una expresión regular. Este es el comportamiento por omisión. Cada palabra clave será analizada para ver si coincide con los nombres de página y con las descripciones independientemente. Puede coincidir con cualquiera de las partes. La coincidencia no está limitada a los confines de las palabras.

-w, --wildcard
    Interpreta cada palabra clave como un patrón que contiene comodines de estilo shell. Cada palabra clave será analizada para ver si coincide con los nombres de página y con las descripciones independientemente. Si tambień se utiliza --exact, una coincidencia será solo encontrada si una palabra clave expandida coincide con una descripción o nombre de página entera. En otro caso, la palabra clave también permite que coincida en los bordes de palabras dentro de la descripción.

-e, --exact
    Cada palabra clave deberá coincidir exactamente con los nombres de las páginas y con las descripciones.

-a, --and
    Solo muestra casos de coincidencia con todas las palabras clave suministradas. Lo predeterminado es mostrar casos de coincidencia con cualquiera de las palabras clave.

-l, --long
    No corta la salida a la anchura del terminal. Normalmente, la salida será truncada al ancho del terminal para evitar resultados indeseables de las secciones de NOMBRE pobremente escritas.

-s listado, --sections=listado, --section=listado
    Busca solo las secciones del manual indicadas. listado es una lista de secciones separadas por dos puntos o por comas. Si una entrada en el listado es una sección simple, por ejemplo "3", entonces la lista de descripciones mostrada incluirá páginas en las secciones "3", "3perl", "3x" y, así, sucesivamente; mientras que si una entrada en el listado tiene una extensión, por ejemplo, "3perl", entonces la lista solo incluirá páginas en esa precisa parte de la sección del manual.

-m sistema[,...], --systems=sistema[,...]
    Si este sistema tiene acceso a paginas de manual de otro sistema operativo, pueden buscarse utilizando esta opción. Para buscar las descripciones de páginas de manual del SOnuevo, utilice la opción -m SOnuevo.

    El sistema especificado puede ser una combinación de nombres de sistema operativo delimitados por comas. Para incluir una búsqueda de las descripciones whatis del sistema operativo nativo, incluya el nombre del sistema man en la cadena de argumento. Esta opción anula la variable $SYSTEM del entorno.

-M ruta, --manpath=ruta
    Especifica un conjunto alternativo de jerarquías de páginas de manual delimitadas por dos puntos (:) para búsquedas. Por defecto, apropos utiliza la variable de entorno $MANPATH, a no ser que esté vacía o no determinada, en cuyo caso determinará un manpath apropiado basado en su variable de entorno $PATH. Esta opción anula el contenido de $MANPATH.

-L local, --locale=local
    apropos normalmente determinará su localización actual mediante una llamada a la función C setlocale(3), la cual examina varias variables de entorno, posiblemente incluyendo $LC_MESSAGES y $LANG. Para anular temporalmente el valor determinado, utilice esta opción para suministrar una cadena local directamente a apropos. Nótese que no tendrá efecto hasta que la búsqueda de páginas realmente comience. Mensajes de salida como el de ayuda siempre se mostrarán en la localización determinada inicialmente.

-C archivo, --config-file=archivo
    Use this user configuration file rather than the default of ~/.manpath.

-?, --help
    Escribe un mensaje de ayuda y termina.

--usage
    Escribe mensaje breve sobre uso del programa y termina.

-V, --version
    Muestra información sobre la versión.

ESTADO DE SALIDA

0   Ejecución del programa correcta.

1   Error de uso, de sintaxis o del archivo de configuración.

2   Error operacional.

16  No se ha encontrado nada que coincida con el criterio especificado.

ENTORNO

SYSTEM
    Si $SYSTEM está establecida, tendrá el mismo efecto que si se hubiera especificado como el argumento de la opción -m.

MANPATH
    Si $MANPATH está establecida, su valor se interpreta como la ruta de búsqueda de jerarquía de páginas de manual delimitadas por dos puntos.

    Vea la sección RUTA DE BÚSQUEDA de manpagh(5) para conocer el comportamiento predeterminado y los detalles acerca de cómo se utiliza esta variable de entorno.

MANWIDTH
    Si $MANWIDTH está establecida, su valor se utiliza como la anchura del terminal (vea la opción --long). Si no está establecida, la anchura del terminal se calculará utilizando el valor de $COLUMNS y ioctl(2) o, en su defecto, se toman 80 caracteres si falla todo lo demás.

POSIXLY_CORRECT
    Si $POSIXLY_CORRECT está establecida, incluso a un valor nulo, la búsqueda predeterminada apropos será como una expreg extendida (-r). De cualquier modo, actualmente este es el comportamiento predeterminado.

ARCHIVOS

/usr/share/man/index.(bt|db|dir|pag)
    Una caché de BD de indexado global tradicional.

/var/cache/man/index.(bt|db|dir|pag)
    Una caché de BD de indexado global compatible con FHS.

/usr/share/man/.../whatis
    Una BD de texto whatis tradicional.

VÉASE TAMBIÉN
man(1), whatis(1), mandb(8)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

DEFECTOS
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db